<div class="permission flexLayout flexAlignCenter flexDirectionColumn paddingLeft1 paddingRight1">
  <img class="permissionImage" [src]="image" [alt]="id" />
  <h1 i18n="@@permission.title" [translate]="'permission.title'" [translateParams]="{id: id, title: title}">
    {id, select, location {Location Services} motion {Motion/Fitness Data} pushNotifications {Push Notifications}
    storage {Storage Permissions} other { {{ title }} } }
  </h1>
  <p
    class="textAlignCenter"
    i18n="@@permission.description"
    [translate]="'permission.description'"
    [translateParams]="{id: id, description: description}"
  >
    {id, select, location {Application wants to access Location Services to determine your Indoor Location (you can opt out
    at any time) or find Points of Interest.} motion {Application wants to know whether your phone is moving to optimize
    battery usage on Indoor Location and Point of Interest Ranging.} pushNotifications {Application wants to send you Push
    Notifications e.g. to update you on new chat messages, remind you of meetings or help you saving energy in the
    building.} storage {Application wants to cache image and other files locally to avoid network traffic.} other {
    {{ description }} } }
  </p>
  <ng-content select=".stepper"></ng-content>
  <button mat-raised-button class="tiPrimaryButton fullWidth activateButton" (click)="activatePermission()">
    <span i18n="@@global.activateLabel" [translate]="'global.activateLabel'">Activate</span>
  </button>
</div>
